Corrupt linux archive

Hello,

It seems that linux instalation archive is corrupt. When extracting it i get errors. Even after I managed to extract it, I now get "It seems that you have corrupted stubs in your RubyMine or Ruby plugin installation. Please reinstall!". I tried reinstalling several times, but it's always same.

Also I'm not sure if this is related I can't seem to find an option to run single spec file (or single spec), even though I added rspec and rspec-rails gem dependencies. The 'it' method is underlined, which is strange because 'describe' isn't.

7 comments
Comment actions Permalink

Hello Andrius,

It seems that linux instalation archive is corrupt. When extracting it i get errors. Even after I managed to extract it, I now get "It seems that you have corrupted stubs in your RubyMine or Ruby plugin installation. Please reinstall!". I tried reinstalling several times, but it's always same.

Also I'm not sure if this is related I can't seem to find an option to run single spec file (or single spec), even though I added rspec and rspec-rails gem dependencies. The 'it' method is underlined, which is strange because 'describe' isn't.

Please attach logs as describe here: http://www.jetbrains.net/devnet/docs/DOC-1153

Regards,
Oleg

0
Comment actions Permalink

Actually this error is shown when RubyMine cannot find rubystubs18 or rubystubs19 folder in your RubyMine installation folder.
These folders contain stubs for ruby core libraries when sources are missing and used for codeinsight features.
This warning has nothing to do with corrupted tar.gz archive.
Could you please list your RubyMine installation folder content? (ls -la $installation_folder$ for example)

Regards,
Oleg

0
Comment actions Permalink

Result:
ls -la /opt/rubymine/
total 60
drwxr-xr-x 13 andrius andrius 4096 2009-10-03 18:38 .
drwxr-xr-x  5 root    root    4096 2009-09-04 01:35 ..
drwxr-xr-x  2 andrius andrius 4096 2009-10-03 18:38 bin
-rw-r--r--  1 andrius andrius    4 2009-09-24 22:23 build.txt
drwx------  3 andrius andrius 4096 2009-09-27 01:00 .fr-fZmOrX
drwx------  3 andrius andrius 4096 2009-10-01 20:34 .fr-Y3wYRD
drwxr-xr-x  2 andrius andrius 4096 2009-10-03 18:38 help
-rw-r--r--  1 andrius andrius 1617 2009-08-26 16:50 Install-Linux-tar.txt
drwxr-xr-x  2 andrius andrius 4096 2009-10-03 18:38 lib
drwxr-xr-x  2 andrius andrius 4096 2009-10-03 18:38 license
drwxr-xr-x 16 andrius andrius 4096 2009-09-27 01:01 plugins
drwxr-xr-x 14 andrius andrius 4096 2009-07-11 16:34 rb
drwxr-xr-x  2 andrius andrius 4096 2009-07-11 16:36 rubystubs
drwxr-xr-x  2 andrius andrius 4096 2009-10-03 18:38 rubystubs18
drwxr-xr-x  2 andrius andrius 4096 2009-10-03 18:38 rubystubs19

I've also attached result of /opt/rubymine/rubystubs* in case you need that



Attachment(s):
lsres.zip
0
Comment actions Permalink

Looks strange. You have an extra rubystubs folder in your installation folder. What RubyMine build do you use?

0
Comment actions Permalink

Ok it seems the problem was that i've overwritten existing rubymine 1.1 instalation folder, after deleting folder and reinstalling rubymine everything is fixed.

0
Comment actions Permalink

Thanks, this makes sence!

0

Please sign in to leave a comment.